(module (xmpp server)
    (make-xmpp-server
     debug?)
  (import scheme
	  (chicken base)
	  (chicken tcp)
	  tcp-server
	  (xmpp core))
  (include "util")

  (define-parameter debug? #f)

  (define (make-xmpp-server thunk)
    (lambda ()
      ((make-tcp-server (tcp-listen (port)) thunk) (debug?)))))

(import (xmpp server)
	(chicken io))

(parameterize ((debug? #t))
  ((make-xmpp-server
    (lambda ()
      (write-line "I am XMPP")))))
